Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 810613 - [TRACKER] dev-java/openjdk-11-r2: - please remove "dev-java/openjdk:11 gentoo-vm" from package.stable.use.mask
Summary: [TRACKER] dev-java/openjdk-11-r2: - please remove "dev-java/openjdk:11 gentoo...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: PullRequest, Tracker
Depends on: 721944 779472 783891 787326 788364 791283 828559 828599 832523
Blocks: jdk11 751895 783417 829064 829065
  Show dependency tree
 
Reported: 2021-08-27 06:29 UTC by Tomáš Mózes
Modified: 2022-02-16 20:32 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Mózes 2021-08-27 06:29:28 UTC
Now jenkins started to recommend using Java-11 so I did an update, unmasked jdk-11 and it works fine. 

We have a mask from 2017, is it valid in 2021?

- virtual/jdk-11-r2::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# James Le Cuirot <chewi@gentoo.org> (2017-12-17)
# Java 11 is not yet fully supported on Gentoo. Packages cannot depend
# on it so these virtuals are not yet required. If you wish to use
# Java 11 then install openjdk-(jdk|jre)-bin directly.

Thanks!
Comment 1 Emily Rowlands 2021-08-27 11:00:32 UTC
bug 697014 has a of blockers listed for this. Java has been stuck for a long time on Gentoo so I hope this is resolvable at some point.
Comment 2 Volkmar W. Pogatzki 2021-08-28 07:39:48 UTC
(In reply to Emily Rowlands from comment #1)
> bug 697014 has a of blockers listed for this. Java has been stuck for a long
> time on Gentoo so I hope this is resolvable at some point.

While bug #697014 tracks anything related to virtual/jdk:11 I think it's time to identify the real blockers.
Ebuilds depending on virtual/(jre|jdk)-1.[2-5] have boiled down to 27 presently. Most of then are waiting for stabilization/removal or have never had a stable version in the past or do not even compile with openjdk:8.

Also "dev-java/openjdk gentoo-vm" needs to be removed from package.use.mask
Let'a make this a tracker and add the real blockers to "Depends on".
Comment 3 Tomáš Mózes 2021-11-08 07:09:25 UTC
The only difference observed so far was the higher memory usage compared to Java-8 (jenkins, elastic).
Comment 4 Larry the Git Cow gentoo-dev 2022-01-09 18:54:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b08db28798fa6e22846f260ec1cc85ad3717b4aa

commit b08db28798fa6e22846f260ec1cc85ad3717b4aa
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-01-09 15:45:03 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-01-09 18:54:11 +0000

    package.use.mask: remove openjdk*:11 gentoo-vm
    
    Bug: https://bugs.gentoo.org/697014
    Bug: https://bugs.gentoo.org/810613
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/23712
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/base/package.use.mask | 3 ---
 1 file changed, 3 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4e60b3d385fd66cab780deebe785675feb988ab

commit e4e60b3d385fd66cab780deebe785675feb988ab
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-01-09 15:41:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-01-09 18:54:10 +0000

    package.use.stable.mask: mask openjdk*:11 gentoo-vm
    
    Bug: https://bugs.gentoo.org/697014
    Bug: https://bugs.gentoo.org/810613
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/base/package.use.stable.mask | 9 +++++++++
 1 file changed, 9 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb928ee96baeb3418d50adcffff7f837fc160073

commit fb928ee96baeb3418d50adcffff7f837fc160073
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-01-09 14:38:48 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-01-09 18:54:09 +0000

    profiles/package.mask: unmask virtual/{jdk,jre}:11
    
    Bug: https://bugs.gentoo.org/697014
    Bug: https://bugs.gentoo.org/810613
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 2 --
 1 file changed, 2 deletions(-)
Comment 5 Larry the Git Cow gentoo-dev 2022-01-20 07:23:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b1eccfee723451e2a4ef919e9414bb61446d417

commit 3b1eccfee723451e2a4ef919e9414bb61446d417
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2022-01-20 06:45:33 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2022-01-20 07:23:18 +0000

    dev-java/openjdk: get rid of gentoo-vm in openjdk-11.0.14_p9
    
    Bug: https://bugs.gentoo.org/810613
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/openjdk/openjdk-11.0.14_p9.ebuild | 40 ++++++++----------------------
 1 file changed, 11 insertions(+), 29 deletions(-)
Comment 6 Georgy Yakovlev archtester gentoo-dev 2022-02-01 22:38:51 UTC
:11 virtuals are scheduled to be stabilized soon, on amd64 arm64 and ppc64, x86 may be added later after more testing is done.
Comment 7 Larry the Git Cow gentoo-dev 2022-02-16 20:32:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11de3479da384aaad1232b4399c387eee99db6eb

commit 11de3479da384aaad1232b4399c387eee99db6eb
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2022-02-16 20:31:09 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2022-02-16 20:31:55 +0000

    profiles/base: remove openjdk*:11 gentoo-vm mask
    
    Closes: https://bugs.gentoo.org/810613
    Bug: https://bugs.gentoo.org/697014
    Bug: https://bugs.gentoo.org/833096
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/base/package.use.stable.mask | 9 ---------
 1 file changed, 9 deletions(-)